Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.xl.util
Class EHashMap<E extends EHashMap.Entry>

    java.lang.Object
      de.grogra.xl.util.EHashMap<E>

    public class EHashMap<E extends EHashMap.Entry>

extends java.lang.Object

Nested Class Summary
`static class` | `EHashMap.Entry`
`static class` | `EHashMap.IdentityEntry<K,V>`
`static class` | `EHashMap.ObjectEntry<K,V>`

Constructor Summary
`EHashMap()`
`EHashMap(EHashMap.Entry[] entryPool, int capacity, float loadFactor)`
`EHashMap(int capacity)`
`EHashMap(int capacity, float loadFactor)`

Method Summary
`void` | `add(E e)`
`void` | `addEntryToPool(E e)`
`void` | `clear()`
`E` | `get(E key)`
`E` | `getFirstEntry()`
`E` | `getLastEntry()`
`E` | `getOrPut(E entry)`
`boolean` | `isEmpty()`
`void` | `makeFirst(E entry)`
`E` | `popEntryFromPool()`
`E` | `put(E entry)`
`void` | `remove(E entry)`
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EHashMap

    public EHashMap()

### EHashMap

    public EHashMap(EHashMap.Entry[] entryPool,
                    int capacity,
                    float loadFactor)

### EHashMap

    public EHashMap(int capacity)

### EHashMap

    public EHashMap(int capacity,
                    float loadFactor)

Method Detail

### add

    public void add(E e)

### addEntryToPool

    public void addEntryToPool(E e)

### clear

    public void clear()

### get

    public E get(E key)

### getFirstEntry

    public E getFirstEntry()

### getLastEntry

    public E getLastEntry()

### getOrPut

    public E getOrPut(E entry)

### isEmpty

    public boolean isEmpty()

### makeFirst

    public void makeFirst(E entry)

### popEntryFromPool

    public E popEntryFromPool()

### put

    public E put(E entry)

### remove

    public void remove(E entry)

### size

    public int size()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD